import { ref } from "vue";
import { defineStore } from "pinia";

export const useResultsPerformDataStore = defineStore("resultPerformDataStore", () => {

  function textRangePoint(val: number | undefined) {
    if (val == undefined) val = -1;
    if (val >= 0 && val <= 60) return "(ต่ำกว่าร้อยละ 60)";
    if (val >= 60 && val <= 69) return "(ร้อยละ 60 – 69)";
    if (val >= 70 && val <= 79) return "(ร้อยละ 70 – 79)";
    if (val >= 80 && val <= 89) return "(ร้อยละ 80 – 89)";
    if (val >= 90 && val <= 100) return "(ร้อยละ 90 - 100)";
    else return "";
  }
  
  function textPoint(val: number | undefined) {
    if (val == undefined) val = -1;
    if (val >= 0 && val <= 60) return "ต้องปรับปรุง";
    if (val >= 60 && val <= 69) return "พอใช้";
    if (val >= 70 && val <= 79) return "ดี";
    if (val >= 80 && val <= 89) return "ดีมาก";
    if (val >= 90 && val <= 100) return "ดีเด่น";
    else return "-";
  }

  return { textRangePoint, textPoint };
});
